html {
  background-color: white;
  color: #808080;
  position: relative;
}

header {
  background-color: #A9C4EB;
  padding: 10px;
  height: 80px;
  display: flex;
  align-items: center;
}

main {
  padding: 30px 30px;
  margin-bottom: 60px;
  height: 100%;
}

.add form {
  padding: 30px 30px;
}

@media (max-width: 650px) {
  .add form {
    padding: 20px 10px;
  }
}

.add-btn {
  position: relative;
  height: 40px;
}

.add button {
  width: 75px;
  height: 40px;
  border: none;
  background-color: #3D8BCD;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-weight: bold;
  cursor: pointer;
  border-radius: 3px;
}

.add button:hover {
  position: absolute;
  bottom: -3px;
}



.input-area {
  display: flex;
  justify-content: left;
  align-items: center;
  margin-bottom: 20px;
}

.input-area label {
  font-size: 20px;
  width: 70px;
  padding-right: 10px;
  margin-right: 10px;
  display: flex;
  justify-content: right;
  position: relative;
}

.input-area label::after {
  content: ":";
  position: absolute;
  right: -2px;
}

.input-area input[type=text] {
  width: 100%;
  max-width: 60%;
}


@media (max-width: 650px) {
  .input-area {
    flex-wrap: wrap;
  }

  .input-area input {
    margin-top: 10px;
    width: 100%;
  }

  .input-area input[type=text] {
    max-width: 100%;
  }
}

.list {
  width: 100%;
}

table {
  width: 100%;
}

tr {
  display: flex;
  justify-content: space-between;
}

th,
td {
  width: 25%;
  display: flex;
  justify-content: left;
}

th {
  font-size: 20px;
  border-bottom: 2px solid #808080;
  margin: 0 10px;
  margin-bottom: 20px;
  padding-left: 20px;
  padding-bottom: 10px;
}

td {
  height: 40px;
  margin-left: 20px;
  display: flex;
  align-items: center;
  justify-content: left;
}

td.txt {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

td.btn form {
  display: flex !important;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  position: relative;
}

td.btn button {
  width: 85%;
  height: 85%;
  border: none;
  background-color: #3D8BCD;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-weight: bold;
  cursor: pointer;
  border-radius: 3px;
}

td.btn button.done {
  background-color: #008F00;
}

td.btn button.dell {
  background-color: #FF3333;
}

td.btn button:hover {
  position: absolute;
  bottom: 1px;
}




footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
}

@media (max-width: 650px) {
  tr:first-child {
    display: none;
  }

  tr:not(first-child) {
    flex-wrap: wrap;
    width: 100%;
    padding-bottom: 20px;
    margin-bottom: 15px;
    border-bottom: 1px solid #808080;
  }

  tr:not(first-child) td {
    width: 100%;
  }

  tr.todo::before {
    content: "Task." counter(todo);
    font-size: 18px;
    font-weight: bold;
  }

  .todo {
    counter-increment: todo;
  }

  td.date {
    font-size: 16px;
  }

  td.txt {
    font-size: 16px;
  }

  td.btn button {
    max-width: 200px;
    height: 40px;
  }

  td.btn.status {
    margin-bottom: 10px;
  }

  td.txt {
    white-space: inherit;
    overflow: inherit;
    height: 100%;
    padding-bottom: 10px;
  }
}
